/** Blends 2 premultiplied colors with alpha */
vec4 blend(vec4 background, vec4 foreground, float alpha)
{
    vec4 result = foreground + (background * (1.0 - alpha) );
    return result;
}

vec4 premultiply(vec4 color)
{
    return vec4(color.rgb * color.a, color.a);
}