/// Render pass to dim the image
#ifdef GL_ES
precision lowp float;
#endif

uniform sampler2D s_texture;
uniform float u_opacity;

varying vec2 v_uv;

void main(void) {
    vec4 color = texture2D(s_texture, vec2(v_uv.x, v_uv.y));
    color.a *= u_opacity;
    gl_FragColor = vec4(color.rgb * u_opacity, color.a);
}
