uniform mat4 u_modelViewMatrix;
uniform mat4 u_projectionMatrix;

attribute vec4 a_position;
attribute vec2 a_uv;

varying vec2 v_uv;

void main()
{
    v_uv = a_uv;
    gl_Position = (u_projectionMatrix * u_modelViewMatrix) * a_position;
}
